/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.sqoop.tools.tool;


public final class JSONConstants {

  private JSONConstants() {
    // restrict instantiation
  }

  public static final String CONNECTOR_ID = "connector-id";
  public static final String CONNECTOR_NAME = "connector-name";
  public static final String ALL = "all";
  public static final String NAME = "name";
  public static final String LINK_ID = "link-id";
  public static final String JOB_ID = "job-id";
  public static final String LINKS = "links";
  public static final String JOBS = "jobs";
  public static final String SUBMISSIONS = "submissions";
  public static final String METADATA = "metadata";
  public static final String VERSION = "version";
  public static final String REVISION = "revision";
  public static final String COMPILE_DATE = "compile-date";
  public static final String COMPILE_USER = "compile-user";
  public static final String INCLUDE_SENSITIVE = "include-sensitive";
}
